Package com.logicaldoc.core.util

# Class IconSelector

java.lang.Object
com.logicaldoc.core.util.IconSelector

public abstract class IconSelector extends Object
Utility class to select an icon based on a file extension

Author:
  Sebastian Stein

## Method Summary

Modifier and Type
Method
Description
`static Set<String>`
`getAvailableIcons()`
`static String`
`selectIcon(String ext)`
Returns the icon by parsing the provided file extension

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAvailableIcons

public static Set<String> getAvailableIcons()

### selectIcon

public static String selectIcon(String ext)
Returns the icon by parsing the provided file extension

Parameters:
  `ext` - file extension
Returns:
  file name of the icon